StableOps
API reference

List agent sessions

Returns a list of agent sessions for the current organization and environment, most recent first.

GET/v1/agent/sessions

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard (no sk_ prefix required).

In: header

Query Parameters

offset?number

Skip this many items before returning results (default 0).

limit?number

Page size (1-200, default 50).

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/agent/sessions"
{
  "items": [
    {
      "id": "string",
      "label": "string",
      "created_at": "string",
      "expires_at": "string",
      "revoked_at": "string"
    }
  ],
  "has_more": true
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}